Installiere androide alte Systembilder (ABIs) über die Befehlszeile

Von der sdk-Manager können Sie ganz einfach die Checkboxen ankreuzen und Sie erhalten Systembilder (z. B. ARM EABI v7a System Image ) installiert und verfügbar, um ARM EABI v7a System Image zu erstellen.

Mein Problem ist, dass das System, wo ich versuche, eine AVD zu erstellen, kopflos ist und so kann ich den Sdk Manager nicht öffnen. Ich bin Kraft, Systembilder von der Kommandozeile zu installieren.

  • Android - Öffnen oder Neustart der App nach dem Klicken auf Push-Benachrichtigung mit Flag-Aktivitäten
  • Android als SIP zum GSM-Gateway
  • Wie kann ich programmgesteuert 2 Kontakte in Android anschließen?
  • Android App Datenschutzerklärung
  • Wie man den Eingabetyp auf nummerieren setzt, aber auch ein "-"
  • So stellen Sie Genymotion Uhr ein?
  • Es war einfach, Ziele zu installieren, indem $ android update sdk --no-ui (alle Ziele, wo tatsächlich installiert, aber ohne Systembilder außer dem neuesten Ziel "android-17") installiert haben. Nun, wie installiere ich Systembilder für "android-15"?

    Wenn ich versuche $ android update sdk --no-ui --filter "sysimg-15" das Ergebnis ist

     Error: Ignoring unknown package filter 'sysimg-15'. Warning: The package filter removed all packages. There is nothing to install. Please consider trying to update again without a package filter. 

    Leider hat Google / Stackoverflow mir nicht geholfen

  • Befehlsmuster, um die Aktivitätsmethoden der Anwendung zu übergeben?
  • Hält Android die .apk-Dateien? Wenn ja wo
  • Wie man ein animiertes GIF aus JPEGs in Android (Entwicklung)
  • Wie bekomme ich Zeit und Datum von datetime Stempel
  • Facebook-Authentifizierung ohne Login-Taste
  • Klasse nicht gefunden, wenn Unmarshalling Android Intent Parcelable
  • 2 Solutions collect form web for “Installiere androide alte Systembilder (ABIs) über die Befehlszeile”

    Die Option – --all oder -a ist die Antwort:

     android update sdk --no-ui --all --filter "sysimg-15" 

    Nicht einschließlich --all , die android Updater nimmt nur das neueste Paket (sysimg-17) in Rechnung ignorieren ältere Pakete. Einschließlich aller Pakete mit -a können Sie filtern (und so installiert werden) alle Sysimg.

    Wäre es möglich, die GUI durch X11-Weiterleitung in diesem Fall zu verwenden?

    Verwenden von Linux: Hier

    Verwenden von Windows: Hier

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.